Bug 1128941 - Roles link to filters/permissions is hard to click at 185% zoom level
Summary: Roles link to filters/permissions is hard to click at 185% zoom level
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 21:56 UTC by sthirugn@redhat.com
Modified: 2017-01-05 08:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 18:21:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17686 None None None 2017-01-05 08:26:30 UTC

Description sthirugn@redhat.com 2014-08-11 21:56:42 UTC
Description of problem:
Roles page redesign

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
Roles page needs the following design changes:
1. Navigate to Roles UI.  Notice that "Filters and Permissions" is contained in a button. I have a browser with 185% resolution.  When I try clicking the exact text "Filters and Permissions" it takes me to the permissions page.  But if I click anywhere else on the button, it does not.  I see that "Filters and Permission" is defined as a span inside the button.  

Option 1 - Simple fix: 
Either make this a link or a button - now it is both and it confuses!

Option 2:
Make the UI simple and user friendly by:
- Remove the 'Filters and Permissions' altogether
- When I click on a role -> take me to the permissions page which will show me the current permissions and ability to add new permissions.
- In the Roles UI table, add a pencil icon (to update the Role name) and add a delete link (to remove the role)

Actual results:


Expected results:
I recommend Option 2 above.

Additional info:

Comment 3 Bryan Kearney 2017-01-04 18:21:40 UTC
This is an older bug, which I dont next expect to fixed in the near future. I am closing this out. If you feel this is an issue, please feel free to re-open with additional information.

Comment 4 Marek Hulan 2017-01-05 08:26:30 UTC
Tom, this is generic WebUI issue not specific to roles. I'd also suggest avoid changing components of closed bugs.


Note You need to log in before you can comment on or make changes to this bug.